#line 1 "C:/Users/Admin/hubiC/_Electronique_/# LibStock #/Manchester_16F84A_MikroC/receiver/Manchester-receiver.c"
#line 1 "c:/users/admin/hubic/_electronique_/# libstock #/manchester_16f84a_mikroc/receiver/../lcd_manchester.h"
#line 70 "c:/users/admin/hubic/_electronique_/# libstock #/manchester_16f84a_mikroc/receiver/../lcd_manchester.h"
void Send_Manchester_TXT(char row, char column, char *s1)
{
 char index, character;


 Man_Send( 0x55 );
 Man_Send( 0x55 );
 Delay_ms(10);
 Man_Send( 0x01 );
 Delay_ms(10);

 Man_Send(48+row);
 Delay_ms(10);
 Man_Send(48+column);
 Delay_ms(10);

 index = 0;
 character = s1[index];

 while(character)
 {
 Man_Send(character);
 Delay_ms(10);
 index++;
 character = s1[index];
 }

 Man_Send( 0x04 );
 Delay_ms(10);

}

void Send_Manchester_CMD(char CMD)
{
 char s1[2];

 s1[0] =  0x20  + CMD;
 s1[1] = '\0';
 Send_Manchester_TXT(0,0,s1);
}

int attente_balise(unsigned int balise)
{
 int err, temp;
 while(1)
 {
 temp = Man_Receive(&err);
 if(temp == balise)
 break;

 if(err) break;
 }
 return err;
}

int Manchester_receive()
{
 int error = 0, ErrorCount = 0;
 char temp;
 unsigned char ligne_ = 1;
 unsigned char colonne_ = 1;



 while(1)
 {

 error = attente_balise( 0x01 );
 if(error)
 {
 ErrorCount++;
 }
#line 153 "c:/users/admin/hubic/_electronique_/# libstock #/manchester_16f84a_mikroc/receiver/../lcd_manchester.h"
 temp = Man_Receive(&error);

 if(error)
 {
 ErrorCount++;
 }

 ligne_ = temp - 48;

 temp = Man_Receive(&error);

 if(error)
 {
 ErrorCount++;
 }

 colonne_ = temp - 48;

 do
 {
 temp = Man_Receive(&error);

 if(error)
 {
 ErrorCount++;
 }
 else
 {

 if((ligne_ == 0)&&(colonne_ == 0))
 {
 Lcd_Cmd(temp -  0x20 );
 }
 else
 {
 switch(temp)
 {
 case  0x04 :
 break;

 default:
 Lcd_Chr(ligne_, colonne_, temp);

 colonne_++;
 if(colonne_ ==  16 ) colonne_ = 1, ligne_++;
 if(ligne_ ==  2 +1) ligne_ = 1;
 }
 }
 }

 }
 while(temp !=  0x04 );



 if(ErrorCount > 0)
 {



 Man_Synchro();

 ErrorCount = 0;
 }
 }
}
#line 6 "C:/Users/Admin/hubiC/_Electronique_/# LibStock #/Manchester_16F84A_MikroC/receiver/Manchester-receiver.c"
sbit MANRXPIN at RB0_bit;
sbit MANRXPIN_Direction at TRISB0_bit;
sbit MANTXPIN at RB1_bit;
sbit MANTXPIN_Direction at TRISB1_bit;


char error, ErrorCount, temp, line;


sbit LCD_D4 at RB2_bit;
sbit LCD_D5 at RB3_bit;
sbit LCD_D6 at RB4_bit;
sbit LCD_D7 at RB5_bit;

sbit LCD_RS at RB6_bit;
sbit LCD_EN at RB7_bit;

sbit LCD_D4_Direction at TRISB2_bit;
sbit LCD_D5_Direction at TRISB3_bit;
sbit LCD_D6_Direction at TRISB4_bit;
sbit LCD_D7_Direction at TRISB5_bit;

sbit LCD_RS_Direction at TRISB6_bit;
sbit LCD_EN_Direction at TRISB7_bit;


void main()
{
#line 40 "C:/Users/Admin/hubiC/_Electronique_/# LibStock #/Manchester_16F84A_MikroC/receiver/Manchester-receiver.c"
 TRISB.B5 = 0;
 Lcd_Init();

 Man_Receive_Init();

 while(1)
 {
 Manchester_receive();
 }
}
