// The following code is code for the Manchester receiver,
// it shows how to use the Manchester Library for receiving data:
#include "..\LCD_Manchester.h"

// Manchester module connections
sbit MANRXPIN at RB0_bit;
sbit MANRXPIN_Direction at TRISB0_bit;
sbit MANTXPIN at RB1_bit;
sbit MANTXPIN_Direction at TRISB1_bit;
// End Manchester module connections

char error, ErrorCount, temp, line;

// LCD module connections
sbit LCD_D4 at RB2_bit;
sbit LCD_D5 at RB3_bit;
sbit LCD_D6 at RB4_bit;
sbit LCD_D7 at RB5_bit;

sbit LCD_RS at RB6_bit;
sbit LCD_EN at RB7_bit;

sbit LCD_D4_Direction at TRISB2_bit;
sbit LCD_D5_Direction at TRISB3_bit;
sbit LCD_D6_Direction at TRISB4_bit;
sbit LCD_D7_Direction at TRISB5_bit;

sbit LCD_RS_Direction at TRISB6_bit;
sbit LCD_EN_Direction at TRISB7_bit;
// End LCD module connections

void main()
{
  /*
  ANSEL  = 0;       // Configure AN pins as digital I/O
  ANSELH = 0;
  C1ON_bit = 0;     // Disable comparators
  C2ON_bit = 0;
  */
  TRISB.B5 = 0;
  Lcd_Init();             // Initialize LCD

  Man_Receive_Init();     // Initialize Receiver

  while(1)
  {                              // Endless loop
    Manchester_receive();
  }
}