// The following code is code for the Manchester transmitter,
// it shows how to use the Manchester Library for transmitting data:
#include "..\LCD_Manchester.h"

// Manchester module connections
sbit MANRXPIN at RB0_bit;
sbit MANRXPIN_Direction at TRISB0_bit;
sbit MANTXPIN at RB1_bit;
sbit MANTXPIN_Direction at TRISB1_bit;
// End Manchester module connections

char index, character;
char s1a[] = "( MikroE )";
char s1b[] = "MikroC v8.0.0";

void main()
{
  /*ANSEL  = 0;                    // Configure AN pins as digital I/O
  ANSELH = 0;
  C1ON_bit = 0;                    // Disable comparators
  C2ON_bit = 0;
  */
  Man_Send_Init();                 // Initialize transmitter

  while(1)
  {        // Endless loop
   Manchester_Lcd_Cmd(_LCD_CLEAR);
   Manchester_Lcd_Out(1,3,s1a);
   Delay_ms(1000);
   Manchester_Lcd_Cmd(_LCD_BLINK_CURSOR_ON);
   Manchester_Lcd_Cmd(_LCD_CLEAR);
   Manchester_Lcd_Out(2,1,s1b);
   Delay_ms(1000);
  }
}